Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Attendance
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
        GET
      • Get Time Attendances Lite
        GET
      • Workin
        POST
      • Get Employee WorkIn Site
        GET
      • Get Timestamps
        GET
      • Get TimeStamp Attachments
        GET
      • Get Workin Sites
        GET
      • Get IOMO Logs
        GET
      • Add Timestamps
        POST
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
    • StampCard
      • GetStampCardsAsync
      • GetStampCardDetailAsync
      • AddStampAsync
    • Celebration
      • GetCelebrationUpcoming
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Attendance

Get Workin Sites

GET
https://api.gofive.co.th/empeo/api/v1/workin-sites

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/workin-sites?companyName=%E0%B9%82%E0%B8%81%E0%B9%84%E0%B8%9F%E0%B8%A7%E0%B9%8C%20%E0%B8%88%E0%B8%B3%E0%B8%81%E0%B8%B1%E0%B8%94&take=10&skip=0&workinType=0&keyword=tester' \
--header 'Ocp-Apim-Subscription-Key: WPe123a9RKbcfLQNSztr45' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": [
        {
            "siteId": null,
            "deviceId": 889,
            "name": "tester",
            "name_EN": "tester",
            "latitude": null,
            "longitude": null,
            "locationName": null,
            "uuid": null,
            "majorId": null,
            "minorId": null,
            "isGPS": false,
            "isiBeacon": false,
            "isBiometricScanner": true,
            "isAllSite": true,
            "isIOMO": true,
            "radius": null,
            "radiusiBeacon": null,
            "ipAddress": "",
            "port": 1245,
            "dateLastTransfered": "2022-04-08T10:25:27.933",
            "serialNo": "123",
            "isOnline": false,
            "isFaceScan": false,
            "isTimeLock": false,
            "isStation": false,
            "stationKey": null,
            "isActive": true,
            "createdByName": "[email protected]",
            "dateCreated": "2021-03-09T10:55:04.247",
            "modifiedByName": "[email protected]",
            "dateModified": "2022-03-17T09:49:19.913",
            "companyName": "ใช้กับทุกบริษัท",
            "companyName_EN": "All companies",
            "workinType": 3
        }
    ]
}
Modified at 2026-06-23 07:31:43
Previous
Get TimeStamp Attachments
Next
Get IOMO Logs
Built with